Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Interface IModuleOption

All Known Implementing Classes:
  ModuleOption

    public interface IModuleOption

Implements to define the keys to do some setting in a module.

Field Summary
`static java.lang.String` | `BLANK_CREATION_KEY` Key to indicate that the created design file is the simplest and blank, which contains nothing.
`static java.lang.String` | `CREATED_BY_KEY` Key to indicate the created-by information of the module.
`static java.lang.String` | `LOCALE_KEY` Key to indicate the locale of the module.
`static java.lang.String` | `MARK_LINE_NUMBER_KEY` Key to control whether to mark line number of the element in xml source.
`static java.lang.String` | `PARSER_SEMANTIC_CHECK_KEY` Key to control whether to call semantic-check when opening a module.
`static java.lang.String` | `READ_ONLY_MODULE_PROPERTIES` Key to indicate that the design file will be simply parsed to read only that simple property for the root element(report design or library) rather than the whole design tree.
`static java.lang.String` | `RESOURCE_FOLDER_KEY` Key to set the resource folder of the module.
`static java.lang.String` | `RESOURCE_LOCATOR_KEY` Key to indicate the resource locator of the module.
`static java.lang.String` | `TO_LATEST_VERSION` Key to indicate that the design should be update to the latest report version when creates.

Field Detail

### PARSER_SEMANTIC_CHECK_KEY

    static final java.lang.String PARSER_SEMANTIC_CHECK_KEY

  Key to control whether to call semantic-check when opening a module. True if user wants to do some semantic checks about the module when opening it; otherwise false.

  See Also:
    Constant Field Values

### RESOURCE_FOLDER_KEY

    static final java.lang.String RESOURCE_FOLDER_KEY

  Key to set the resource folder of the module.

  See Also:
    Constant Field Values

### RESOURCE_LOCATOR_KEY

    static final java.lang.String RESOURCE_LOCATOR_KEY

  Key to indicate the resource locator of the module.

  See Also:
    Constant Field Values

### MARK_LINE_NUMBER_KEY

    static final java.lang.String MARK_LINE_NUMBER_KEY

  Key to control whether to mark line number of the element in xml source. True if user wants to mark them during parsing and saving, false otherwise. Default value is true.

  See Also:
    Constant Field Values

### LOCALE_KEY

    static final java.lang.String LOCALE_KEY

  Key to indicate the locale of the module.

  See Also:
    Constant Field Values

### CREATED_BY_KEY

    static final java.lang.String CREATED_BY_KEY

  Key to indicate the created-by information of the module.

  See Also:
    Constant Field Values

### BLANK_CREATION_KEY

    static final java.lang.String BLANK_CREATION_KEY

  Key to indicate that the created design file is the simplest and blank, which contains nothing.

  See Also:
    Constant Field Values

### READ_ONLY_MODULE_PROPERTIES

    static final java.lang.String READ_ONLY_MODULE_PROPERTIES

  Key to indicate that the design file will be simply parsed to read only that simple property for the root element(report design or library) rather than the whole design tree. The result report/library will be read-only and can not do any changes.

  See Also:
    Constant Field Values

### TO_LATEST_VERSION

    static final java.lang.String TO_LATEST_VERSION

  Key to indicate that the design should be update to the latest report version when creates.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.